/*
 * Copyright (C) Dragon Flame, Benjamin Babut and Didier Willis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */


#ifndef DICO_H
#define DICO_H


class Page;


#include <qtabwidget.h>
#include <vector>
using namespace std;
typedef vector<Page*>::iterator pageIt;

class Dico
{
	QString m_name;
	vector<Page *> m_pages;

public:
	Dico(QString name) {m_name=name;};

	void addPage(Page* page) {m_pages.push_back(page);}; 
	QString name() {return m_name;};
	
	Page* page(int i)
	{
		if(i>=size()) return NULL;
		else return m_pages[i];
	};
	int size() {return m_pages.size();};

	void connectMyPages();
	void connectMyPagesToTheTabWidget(QTabWidget* left);
};

#endif
