/*
 * Copyright (C) Dragon Flame, Benjamin Babut and Didier Willis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
#include <qapplication.h>
#include "about.h"

About::About( QWidget* parent, const char *name, WFlags )
				: QDialog( parent, name )
{
	// 'view' is the text component embedded in the dialog window
	view = new QTextView( this );
	setFont( QFont( "Times New Roman", 9 ));

	// background picture
	QBrush paper;
	paper.setPixmap( QPixmap( qApp->applicationDirPath()+"/../images/about.png" ) );
    view->setPaper( paper );
	
	// layout
    view->setFixedSize( 384, 256 );
	setFixedSize( 384, 256 );
}

/* EOF */
