/*
 * Copyright (C) Dragon Flame, Benjamin Babut and Didier Willis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
#include "splashwindow.h"
#include <qapplication.h>
#include <qpainter.h>
#include <qimage.h>

SplashWindow::SplashWindow( QWidget *parent, const char *name )
//	: QWidget( parent, name, WType_Popup | WStyle_StaysOnTop )
	: QWidget( parent, name, WStyle_Splash)
{
	setGeometry( (QApplication::desktop()->width() - 384) / 2,
		         (QApplication::desktop()->height() - 256) / 2,
				 384, 256 );
}

void SplashWindow::paintEvent( QPaintEvent * )
{

	QImage im( qApp->applicationDirPath()+"/../images/splash.png" );

	QPainter paint;
    
	// Draw picture
	paint.begin(this);
	paint.drawImage( 0, 0, im );
//	paint.end();

}

/* EOF */
