/*
 * Copyright (C) Dragon Flame, Benjamin Babut and Didier Willis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
#ifndef SENTENCELINE_H
#define SENTENCELINE_H

#include "centralwidget.h"
#include <qlineedit.h>


class Page;

class SentenceLine: public QLineEdit
{
	Q_OBJECT

protected :
	
	CentralWidget* m_cwidg;

	virtual void keyPressEvent ( QKeyEvent *ke );
	virtual void focusInEvent ( QFocusEvent *fe );

	
	
public:

	void tengwarRender();

	SentenceLine(CentralWidget* cwidg, QWidget * parent, const char * name=0 )
		:QLineEdit(parent, name)
	{
		m_cwidg = cwidg;
	};
};

#endif
